I'm Confused with Update

I downloaded unix 6.0.8 64bit
I have 4.4.1 so I ran upgrade_4.4_5.0.sh

Restarting shows and error LC_ALL is not set in ENV, set to en_US.UTF-8 but SF still starts and I can logon

When I hit the info button I see Server Version: 6.0.8 © 2016 Seafile - I though I just went to 5.0 not 6

???

I notice my FAVICON is also gone

When you download 6.0.8. You need to run ALL upgrade script in between your current version and the downloaded version. So I’m currently not sure what other upgrade script there are but think there is one from 5.1 to 5.1 and one from 5.1 to 6.0 maybe more. You need to run those as well.

That’s what I thought but if I was staging the upgrades, going from 4 to 6 and I only applied the 5 upgrade don’t ya think the about should show version 5 (or only the upgrade I applied thus far) and not the latest version of the download file.

No. It is not possible to download version 6 and run another version with that binary.